# 命令行安装

Insight Teacher 应用程序支持在安装过程中使用命令行选项配置产品。这些选项可与各种部署工具一起使用，将教师应用程序推送到系统，而无需用户干预。

| 命令行选项                      | 说明                                                                                                                                                                                                                                                           |
| -------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `/classID <value>`         | 安装过程中，这会将默认班级 ID 设置为指定值。此值可以是任意有效的数字字母班级 ID。                                                                                                                                                                                                                 |
| `/adminPwd <value>`        | 此选项使用在命令行开关后指定的值来配置客户端系统上的管理员密码。                                                                                                                                                                                                                             |
| `/connectorServer <value>` | <p>此选项将 Insight Teacher 配置为与位于指定的 IP 地址、主机名或 FQDN 上的 Insight Connector 通信。</p><p> </p><p>示例：</p><p><code>/connectorServer insight</code></p><p><code>/connectorServer 192.168.1.10</code></p><p><code>/connectorServer insight.example.domain.com</code></p> |
| `/consolePwd <value>`      | 此选项使用在命令行开关后指定的值来配置用于在客户端系统上访问 Insight Teacher 控制台的密码。                                                                                                                                                                                                       |
| `/sharedSecret <value>`    | <p>此选项用于配置 Insight，使用指定的访问令牌开启隐私模式。</p><p> </p><p>示例：</p><p><code>/sharedSecret Password123</code></p>                                                                                                                                                       |
| `/suppressreboot`          | 使用此选项可取消在 Insight Teacher 安装完成后重启客户端系统。在安装过程后重启客户端计算机之前，可能无法完全启用 Insight。                                                                                                                                                                                    |
| `/setlk`                   | <p>安装过程中，此选项可让您通过命令行设置 Insight 的许可证密钥。设置后，Insight 将在启动时跳过输入许可证密钥的页面，并打开"班级 ID/课堂"登录页面。<br><br>许可证密钥必须按原样输入，包括破折号。<br><br>许可证密钥看起来像这样：<br><code>XXXXXXXX-XXXXXXXX-XXXXXXXX-XXXXXXXX-XXXXXXXX</code></p>                                                       |
| `/upgrade`                 | 此选项使用现有设置静默升级 Insight Teacher 应用程序。                                                                                                                                                                                                                          |

安装命令行的示例如下所示：

`InsightInstallerTeacher.exe /classID Class101 /adminPwd Password123 /consolePwd TeacherPassword123 /sharedSecret securecommunication`

下方展示的安装命令行示例适用于使用 MSI 安装程序安装 Insight Teacher 的情况：

`MSIEXEC.exe /I "msi Path" /qn CMDLINE="/classId Class101 /adminPwd Password123 /consolePwd Password345 /setlk XXXXXXXX-XXXXXXXX-XXXXXXXX-XXXXXXXX-XXXXXXXX /connectorServer insight.example.domain.com /suppressreboot"`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faronics.com/faronics-insight-docs/chinese/an-zhuang-he-guan-li/an-zhuang/zai-windows-shang-an-zhuang/an-zhuang-insight-teacher/ming-ling-xing-an-zhuang.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
